aboutsummaryrefslogtreecommitdiffstats
path: root/tools/ubuntu-server-cloudimg-modify.sh
diff options
context:
space:
mode:
authorHans Feldt <hans.feldt@ericsson.com>2015-06-11 14:33:10 +0200
committerHans Feldt <hans.feldt@ericsson.com>2015-06-15 11:00:43 +0000
commit7492216de2f198e42bcd5e1539c8b21886a78d8c (patch)
tree1a538d8703806a9ad268c4c84af43112a6098c26 /tools/ubuntu-server-cloudimg-modify.sh
parent95c9ca879e2ea2add0bb03c6e40a36494729d30d (diff)
Add support for building images
Two scripts are added. One that will be installed in user's PATH and one that is an example of how to modify an image from within. See README for example and script for more info Change-Id: Iab743f6e9105d5ba872ffba0512ffee954c6d830 JIRA: YARDSTICK-28 Signed-off-by: Hans Feldt <hans.feldt@ericsson.com>
Diffstat (limited to 'tools/ubuntu-server-cloudimg-modify.sh')
-rwxr-xr-xtools/ubuntu-server-cloudimg-modify.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/tools/ubuntu-server-cloudimg-modify.sh b/tools/ubuntu-server-cloudimg-modify.sh
new file mode 100755
index 000000000..c2977896f
--- /dev/null
+++ b/tools/ubuntu-server-cloudimg-modify.sh
@@ -0,0 +1,36 @@
+##############################################################################
+# Copyright (c) 2015 Ericsson AB and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+#!/bin/bash
+
+# installs required packages
+# must be run from inside the image (either chrooted or running)
+
+set -ex
+
+if [ $# -eq 1 ]; then
+ nameserver_ip=$1
+
+ # /etc/resolv.conf is a symbolic link to /run, restore at end
+ rm /etc/resolv.conf
+ echo "nameserver $nameserver_ip" > /etc/resolv.conf
+fi
+
+# iperf3 only available for trusty in backports
+grep trusty /etc/apt/sources.list && \
+ echo "deb http://archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse" >> /etc/apt/sources.list
+apt-get update
+apt-get install -y \
+ iperf3 \
+ lmbench \
+ stress
+
+# restore symlink
+ln -sf /run/resolvconf/resolv.conf /etc/resolv.conf
+